/* Widget Name: NCAA Football Schedule v5.x */

function getSchedule()
{
       document.getElementById("schedulePNG").src = "http://riowww.com/widgetSchedules2010/gators_schedule.png";
}

function showInfo() 
{
  widget.openURL(infoURL);
}

function setup()
{
	getSchedule();
    createGenericButton(document.getElementById('doneButton'), 'Done', hideBack);
    createGenericButton(document.getElementById('gearButton'), 'Gear', hideBack);
    if (window.widget)
    {
        widget.onshow = onshow;
        widget.onhide = onhide;
    }
}

function showBack()
{ 
  var front = document.getElementById("front");
  var back = document.getElementById("back");
	
  if (window.widget) {
    window.resizeTo(250, 491);						/* Update to Back back.png size */
    widget.prepareForTransition("ToBack");
    
  }
	
  front.style.display="none";		
  back.style.display="block";	
	
  if (window.widget)
    setTimeout ('widget.performTransition();', 0);
}


function hideBack()
{
  var front = document.getElementById("front");
  var back = document.getElementById("back");
	
  if (window.widget)
    widget.prepareForTransition("ToFront");
	
  back.style.display="none";
  front.style.display="block";
	
  if (window.widget) {
    setTimeout ('widget.performTransition();', 0);
    window.resizeTo(200, 124);						/* Update to Front Default.png size */
  }
		
  dateChanged(); 
}

var flipShown = false;
var animation = {duration:0, starttime:0, to:1.0, now:0.0, from:0.0, firstElement:null, timer:null};

function mousemove (event)
{
  if (!flipShown) {
    if (animation.timer != null) {
      clearInterval (animation.timer);
      animation.timer  = null;
    }
		
    var starttime = (new Date).getTime() - 13; 
		
    animation.duration = 500;
    animation.starttime = starttime;
    animation.firstElement = document.getElementById ('flip');
    animation.timer = setInterval ("animate();", 13);
    animation.from = animation.now;		
    animation.to = 1.0;	
    animate();
    flipShown = true;
  }
}

function mouseexit (event)
{
  if (flipShown) {
    if (animation.timer != null) {
      clearInterval (animation.timer);
      animation.timer  = null;
    }
    var starttime = (new Date).getTime() - 13;
		
    animation.duration = 500;
    animation.starttime = starttime;
    animation.firstElement = document.getElementById ('flip');
    animation.timer = setInterval ("animate();", 13);
    animation.from = animation.now;
    animation.to = 0.0;
    animate();
    flipShown = false;
  }
}

function animate()
{
  var T;
  var ease;
  var time = (new Date).getTime();
		
  T = limit_3(time-animation.starttime, 0, animation.duration);

  if (T >= animation.duration) {
    clearInterval (animation.timer);
    animation.timer = null;
    animation.now = animation.to;
  }
  else {
    ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
    animation.now = computeNextFloat (animation.from, animation.to, ease);
  }
  animation.firstElement.style.opacity = animation.now;
}

function limit_3 (a, b, c)
{
  return a < b ? b : (a > c ? c : a);
}

function computeNextFloat (from, to, ease)
{
  return from + (to - from) * ease;
}

function enterflip(event)
{
  document.getElementById('fliprollie').style.display = 'block';
}

function exitflip(event)
{
  document.getElementById('fliprollie').style.display = 'none';
}

function onshow () 
{
}

function onhide () 
{
}

